import { I18n } from '@bce-technology/i18n';
import { Block } from '../../models/block';
import { ModuleFlow } from '../../models/module';
export declare class BceFlowEditor {
    private el;
    value: ModuleFlow;
    block: Block;
    current: string;
    currentVersion: string;
    existing?: string[];
    t: I18n.Translator;
    private onNode;
    private onComplete;
    private get conditionTemplate();
    private get tree();
    private get next();
    private get end();
    private handleInput;
    private handleEndInput;
    private handleConditionInput;
    private handleCompleteModule;
    private handleShowBlock;
    private handleDeleteBlock;
    private handleAddBlock;
    private getLabel;
    renderEnd(): any;
    renderSingleCtrl(): any[];
    renderConditionalCtrl(): any[];
    renderCtrl(): any[];
    renderFooter(): any[];
    render(): any[];
}
